import { Observable } from 'rxjs';
import { SelectSource } from './select-source';
import { Option } from '../models/option';
export declare class StaticSelectSource extends SelectSource {
    staticOptions: Option[];
    fetched: boolean;
    fetch(searchQuery: string): Observable<Option[]>;
    fetchByValue(value: any): Observable<Option>;
    isFetchAvailable(): boolean;
    resetPagination(): void;
    setStaticOptions(options: Option[]): void;
}
